Skip to main content
GET
/
v3
/
product-agent-api
/
catalog-workflow
/
{workflow_id}
Get catalog enrichment status
curl --request GET \
  --url https://commerceos.aiagents.fabric.inc/api/v3/product-agent-api/catalog-workflow/{workflow_id} \
  --header 'domain: <domain>'
{
  "id": "69bd7e9f476258f0ca961c0c",
  "tenant_id": "-",
  "domain": "acme.com",
  "created_at": "2026-03-20T17:06:39.307000",
  "updated_at": "2026-03-20T17:07:39.910225Z",
  "created_by": "692d9d0eb8636aa1286823be",
  "name": "Product Catalog v2",
  "source": "EXTENSION",
  "type": "CATALOG_ENRICHMENT",
  "status": "COMPLETED",
  "step": "FULL_PRODUCT_CATALOG_COMPLETED",
  "crawling_configuration": null,
  "enrichment_configuration": {
    "catalog_scope": "FULL",
    "catalog_file_id": "69bd7e7f476258f0ca961c07",
    "force_refresh": true,
    "is_citation_enabled": false,
    "include_ads_feed": false,
    "use_v2_orchestrator": true,
    "brand_guidelines": [],
    "factual_feedback": null,
    "additional_attributes": null,
    "concurrency": 10
  },
  "brand_inference_configuration": null,
  "notification": null,
  "last_event_at": "2026-03-20T17:07:39.910225Z",
  "retry_count": 0,
  "max_retries": 3,
  "last_error": null,
  "catalog_scope": "FULL",
  "catalog_file_id": "69bd7e7f476258f0ca961c07"
}

Headers

domain
string
required

The brand domain or brand identifier used to scope the request to a specific brand’s data and configuration.

Example:

"vessel"

Path Parameters

workflow_id
string
required

Enrichment workflow ID returned from POST /v3/product-agent-api/catalog-workflow.

Example:

"69bd7e9f476258f0ca961c0c"

Response

Catalog enrichment workflow status

id
string
required

Workflow identifier.

Example:

"69c1784f9184cbdb46675449"

tenant_id
string
required
Example:

"-"

domain
string
required
Example:

"acme.com"

created_at
string<date-time>
required
Example:

"2026-03-23T17:28:47.903000"

updated_at
string<date-time>
required
Example:

"2026-03-23T17:28:47.903000"

created_by
string
required

Identifier of the user or service that created the workflow.

Example:

"692d9d0eb8636aa1286823be"

name
string
required
Example:

"Product Catalog v2"

source
string
required
Example:

"EXTENSION"

type
string
required
Example:

"CATALOG_ENRICHMENT"

status
string
required
Example:

"COMPLETED"

step
string
required
Example:

"FULL_PRODUCT_CATALOG_COMPLETED"

enrichment_configuration
object
required
last_event_at
string<date-time>
required
Example:

"2026-03-20T17:07:39.910225Z"

retry_count
integer
required
Example:

0

max_retries
integer
required
Example:

3

catalog_scope
string
required
Example:

"FULL"

catalog_file_id
string
required
Example:

"69bd7e7f476258f0ca961c07"

crawling_configuration
object
Example:

null

brand_inference_configuration
object
Example:

null

notification
object
Example:

null

last_error
string | null
Example:

null